Page MenuHomeFreeBSD

Update devel/py-gitpython to 2.1.10
ClosedPublic

Authored by ygy on Jun 13 2018, 1:17 PM.

Details

Summary
- Update devel/py-gitpython to 2.1.10.
- Change FLAVOR to use PY_FLAVOR

Reviewed_by: mat
Approved_by: woodsb02
Differential_Revision: https://reviews.freebsd.org/D1XXXXX
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ygy created this revision.Jun 13 2018, 1:17 PM
woodsb02 accepted this revision.EditedJun 13 2018, 10:49 PM

Approved for commit.

I have a personal preference to include a link in my svn commit message to the upstream change log that details the changes with this new version. I typically put something like the following immediately above the approvals text (my personal preference):

Changes this release:
  https://github.com/gitpython-developers/GitPython/blob/2.1.10/doc/source/changes.rst

Please feel free to add this text to your commit, or not (your preference).

This revision is now accepted and ready to land.Jun 13 2018, 10:49 PM
mat added inline comments.Jun 14 2018, 8:57 AM
devel/py-gitpython/Makefile
15–18 ↗(On Diff #43705)

These could s/FLAVOR/PY_FLAVOR/

ygy updated this revision to Diff 43871.Jun 16 2018, 6:16 AM
ygy edited the summary of this revision. (Show Details)
This revision now requires review to proceed.Jun 16 2018, 6:16 AM
ygy updated this revision to Diff 43873.Jun 16 2018, 6:18 AM
ygy marked an inline comment as done.
woodsb02 accepted this revision.Jun 16 2018, 7:01 AM
This revision is now accepted and ready to land.Jun 16 2018, 7:01 AM
This revision was automatically updated to reflect the committed changes.